Name:           puppet-zoom
Version:        1.3
Release:        1%{?dist}
Summary:        Masterless puppet module for zoom

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz

BuildArch:      noarch
Requires:       puppet-agent

%description
Puppet postfix module for zoom

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/zoom/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/zoom/
touch %{buildroot}/%{_datadir}/puppet/modules/zoom/linuxsupport

%files -n puppet-zoom
%{_datadir}/puppet/modules/zoom

%changelog
* Tue Feb 21 2023 Ben Morrice <ben.morrice@cern.ch> 1.3-1
- CC7 uses a different repo now

* Fri Dec 02 2022 Ben Morrice <ben.morrice@cern.ch> 1.2-2
- Bump release for disttag change

* Tue Apr 19 2022 Ben Morrice <ben.morrice@cern.ch> - 1.2-1
- Configure selinuxuser_execmod on CS9

* Wed Nov 17 2021 Ben Morrice <ben.morrice@cern.ch> - 1.1-1
- remove gpg check, as zoom is no longer signing rpms

* Thu Oct 28 2021 Ben Morrice <ben.morrice@cern.ch> - 1.0-2
- bugfix packaging

* Mon Sep 27 2021 Ben Morrice <ben.morrice@cern.ch> - 1.0-1
-Initial release

